Loading...
Searching...
No Matches
XrdBwmPolicy Class Referenceabstract

`#include <XrdBwmPolicy.hh>`

Inheritance diagram for XrdBwmPolicy:
Collaboration diagram for XrdBwmPolicy:

## Classes

struct | SchedParms

## Public Types

enum | Flow { Incoming = 0 , Outgoing }

## Public Member Functions

| XrdBwmPolicy ()
virtual | ~XrdBwmPolicy ()
virtual int | Dispatch (char *RespBuff, int RespSize)=0
virtual int | Done (int rHandle)=0
virtual int | Schedule (char *RespBuff, int RespSize, SchedParms &Parms)=0
virtual void | Status (int &numqIn, int &numqOut, int &numXeq)=0

## Detailed Description

Definition at line 33 of file XrdBwmPolicy.hh.

## Class Documentation

## XrdBwmPolicy::SchedParms

struct XrdBwmPolicy::SchedParms

Definition at line 117 of file XrdBwmPolicy.hh.

Collaboration diagram for XrdBwmPolicy::SchedParms:

Class Members
Flow | Direction |
char * | LclNode |
char * | Lfn |
char * | RmtNode |
const char * | Tident |

## Member Enumeration Documentation

## Flow

enum XrdBwmPolicy::Flow

Enumerator
Incoming |
Outgoing |

Definition at line 115 of file XrdBwmPolicy.hh.

{Incoming = 0, Outgoing};
XrdBwmPolicy::Outgoing
@ Outgoing
Definition XrdBwmPolicy.hh:115
XrdBwmPolicy::Incoming
@ Incoming
Definition XrdBwmPolicy.hh:115

## Constructor & Destructor Documentation

## XrdBwmPolicy()

XrdBwmPolicy::XrdBwmPolicy | ( |  | ) |

inline

Definition at line 136 of file XrdBwmPolicy.hh.

{}

Referenced by XrdBwmPolicy1::refReq::refReq().

Here is the caller graph for this function:

## ~XrdBwmPolicy()

virtual XrdBwmPolicy::~XrdBwmPolicy | ( |  | ) |

inline virtual

Definition at line 138 of file XrdBwmPolicy.hh.

{}

## Member Function Documentation

## Dispatch()

virtual int XrdBwmPolicy::Dispatch | ( | char * | RespBuff,
|  | int | RespSize )

pure virtual

Implemented in XrdBwmPolicy1.

## Done()

virtual int XrdBwmPolicy::Done | ( | int | rHandle | ) |

pure virtual

Implemented in XrdBwmPolicy1.

## Schedule()

virtual int XrdBwmPolicy::Schedule | ( | char * | RespBuff,
|  | int | RespSize,
|  | SchedParms & | Parms )

pure virtual

Implemented in XrdBwmPolicy1.

## Status()

virtual void XrdBwmPolicy::Status | ( | int & | numqIn,
|  | int & | numqOut,
|  | int & | numXeq )

pure virtual

Implemented in XrdBwmPolicy1.

The documentation for this class was generated from the following file:

- XrdBwmPolicy.hh